<?php


if (isset($_POST["bconfirm"])) {
    $vlan = $_POST["vlan"];
    removeVlan($vlan);
    if (!isXMLRPCError()) {
        $result = _T("The VLAN interface has been deleted.", "vlan");
        new NotifyWidgetSuccess($result);
    }

    header("Location: " . urlStrRedirect("vlan/vlan/index"));
    exit;
}
else {
    $vlan = urldecode($_GET["vlan"]);
}

?>

	<p><?php echo  _T("You will delete the VLAN interface and it will remove all rules/policies from shorewall for this interface. Are you sure? ", "vlan"); ?> <strong><?php echo $vlan; ?></strong>.</p>

	<form action="<?php echo urlStrRedirect('vlan/vlan/delete'); ?>" method="post">
    <input type="hidden" name="vlan" value="<?php echo $vlan; ?>" />
    <input type="submit" name="bconfirm" class="btnPrimary" value="<?php echo _T('Delete'); ?>" />
    <input type="submit" name="bback" class="btnSecondary" value="<?php echo _T('Cancel'); ?>" onclick="new Effect.Fade('popup'); return false;" />
</form>
