<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com/
 *
 * $Id$
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

require_once('modules/vlan/includes/vlan-xmlrpc.inc.php');
/**
 * module declaration
 */
$mod = new Module("vlan");
$mod->setVersion("0.6.2");
$mod->setRevision('$Rev$');
$mod->setDescription(_T("VLAN Interfaces Management", "vlan"));
$mod->setAPIVersion('2:1:0');
$mod->setPriority(350);

/**
 * user submod definition
 */

$submod = new SubModule("vlan");
$submod->setDescription(_T("VLAN", "vlan"));
$submod->setImg('modules/vlan/graph/img/network');
$submod->setDefaultPage("vlan/vlan/index");
$submod->setPriority(350);

$page = new Page("index",_T("VLAN Interface","vlan"));
$page->setFile("modules/vlan/vlan/index.php",
	array("visible" => True)
);
$submod->addPage($page);

$page = new Page("add",_T("Add VLAN","vlan"));
$submod->addPage($page);

$page = new Page("edit",_T("Edit VLAN configurations", "vlan"));
$page->setOptions(array("visible"=>False));

$submod->addPage($page);

$page = new Page("ajaxVlanFilter");
$page->setFile("modules/vlan/vlan/ajaxVlanFilter.php", array("AJAX" =>True,"visible"=>False));
$submod->addPage($page);

$page = new Page("delete",_T("Delete VLAN interfaces", "vlan"));
$page->setFile("modules/vlan/vlan/delete.php",
	array("noHeader" => True, "visible" => False)
);
$submod->addPage($page);

$mod->addSubmod($submod);

$MMCApp = &MMCApp::getInstance();
$MMCApp->addModule($mod);

?>
