<?php
require_once("modules/vlan/includes/vlan-xmlrpc.inc.php");

if (isset($_GET["filter"]))
    $filter = $_GET["filter"];
else
    $filter = "";

 	
$vlanConf = getVlan($filter);

$vlan = array();
$ip = array();
//$broadcast = array();
$comments = array();
//$gw = array();
//$dns = array();
$temp=array();
$temp2=array();
//interface names,ip/netmask,broadcast
foreach($vlanConf as $key => $value){
	$temp=explode("=",$value[1][0]); //interface
	$vlan[$key]=$temp[1];

	$temp=explode("=",$value[1][3]); // ip and netmask
	$temp2=explode("=",$value[1][4]);
	$temp2[1]=convertToCIDR($temp2[1]);
	$ip[$key]=$temp[1] . '/' .$temp2[1];

//	$temp=explode("=",$value[1][4]); //dns
//	$dns[$key]=$temp[1];

//	$temp=explode("=", $value[1][5]); //gateway
//	$gw[$key]=$temp[1];

//	$temp=explode("=",$value[1][7]); //broadcast
//	$broadcast[$key]=$temp[1];

	$temp=explode("=",$value[1][6]); //comment
	$comments[$key]=$temp[1];
}
$l = new ListInfos($vlan, _T("Virtual Interfaces", "vlan"));
$l->setNavBar(new AjaxNavBar(count($vlan), $filter));
$l->first_elt_padding = 1;
$l->setCssClass("vlanDisplay");
$l->addExtraInfo(array_values($ip), _T("IP/Mask", "vlan"));
//$l->addExtraInfo(array_values($dns), _T("DNS", "vlan"));
//$l->addExtraInfo(array_values($gw), _T("Gateway", "vlan"));
//$l->addExtraInfo(array_values($broadcast), _T("Broadcast", "vlan"));
$l->addExtraInfo(array_values($comments), _T("Description", "vlan"));

$l->setName(_T("Vlan", "vlan"));

$l->addActionItem(new ActionItem(_T("Edit VLAN", "vlan"), "edit", "edit", "vlan", "vlan", "vlan"));
$l->addActionItem(new ActionPopupItem(_T("Delete VLAN", "vlan"), "delete", "delete", "vlan", "vlan", "vlan"));
$l->display();

?>
